C#
// POST /v1/connected_apps/clients/{client_id}/secrets/rotate/start
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
};
client.ConnectedApp.Clients.Secrets.RotateStart(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// POST /v1/connected_apps/clients/{client_id}/secrets/rotate/start
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/connectedapps/clients/secrets"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &secrets.RotateStartParams{
ClientID: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
}
resp, err := client.ConnectedApp.Clients.Secrets.RotateStart(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// POST /v1/connected_apps/clients/{client_id}/secrets/rotate/start
package com.example;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.connectedappsclientssecrets.RotateStartRequest;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
RotateStartRequest params = new RotateStartRequest();
params.setClientId("m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885");
Object result = StytchB2BClient.getConnectedApp().getClients().getSecrets().rotateStart(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// POST /v1/connected_apps/clients/{client_id}/secrets/rotate/start
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.consumer.models.connectedappsclientssecrets.RotateStartRequest
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.connectedApp.clients.secrets.rotateStart(
RotateStartRequest(
clientId = "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// POST /v1/connected_apps/clients/{client_id}/secrets/rotate/start
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
};
client.connectedApp.clients.secrets.rotateStart(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->connected_app->clients->secrets->rotate_start([
'client_id' => 'm2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885',
]);# POST /v1/connected_apps/clients/{client_id}/secrets/rotate/start
from stytch import B2BClient
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.connected_app.clients.secrets.rotate_start(
client_id="m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
)
print(resp)
# frozen_string_literal: true
# POST /v1/connected_apps/clients/{client_id}/secrets/rotate/start
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.connected_app.clients.secrets.rotate_start(
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885"
)
puts resp// POST /v1/connected_apps/clients/{client_id}/secrets/rotate/start
use stytch::b2b::client::Client;
use stytch::consumer::connected_apps_clients_secrets::RotateStartRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.connected_app.clients.secrets.rotate_start(
RotateStartRequest{
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# POST /v1/connected_apps/clients/{client_id}/secrets/rotate/start
curl --request POST \
--url https://test.stytch.com/v1/connected_apps/clients/m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885/secrets/rotate/start \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json'{
"request_id": "<string>",
"connected_app": {
"client_id": "<string>",
"client_name": "<string>",
"client_description": "<string>",
"status": "<string>",
"client_secret_last_four": "<string>",
"full_access_allowed": true,
"client_type": "<string>",
"redirect_urls": [
"<string>"
],
"next_client_secret": "<string>",
"access_token_expiry_minutes": 123,
"access_token_template_content": "<string>",
"post_logout_redirect_urls": [
"<string>"
],
"bypass_consent_for_offline_access": true,
"id_token_template_content": "<string>",
"next_client_secret_last_four": "<string>",
"access_token_custom_audience": "<string>",
"logo_url": "<string>",
"client_id_metadata_url": "<string>"
},
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Rotate Secret
Start Secret Rotation
Initiate the rotation of a Connected App client secret.
POST
/
v1
/
connected_apps
/
clients
/
{client_id}
/
secrets
/
rotate
/
start
C#
// POST /v1/connected_apps/clients/{client_id}/secrets/rotate/start
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
};
client.ConnectedApp.Clients.Secrets.RotateStart(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// POST /v1/connected_apps/clients/{client_id}/secrets/rotate/start
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/connectedapps/clients/secrets"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &secrets.RotateStartParams{
ClientID: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
}
resp, err := client.ConnectedApp.Clients.Secrets.RotateStart(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// POST /v1/connected_apps/clients/{client_id}/secrets/rotate/start
package com.example;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.connectedappsclientssecrets.RotateStartRequest;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
RotateStartRequest params = new RotateStartRequest();
params.setClientId("m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885");
Object result = StytchB2BClient.getConnectedApp().getClients().getSecrets().rotateStart(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// POST /v1/connected_apps/clients/{client_id}/secrets/rotate/start
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.consumer.models.connectedappsclientssecrets.RotateStartRequest
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.connectedApp.clients.secrets.rotateStart(
RotateStartRequest(
clientId = "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// POST /v1/connected_apps/clients/{client_id}/secrets/rotate/start
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
};
client.connectedApp.clients.secrets.rotateStart(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->connected_app->clients->secrets->rotate_start([
'client_id' => 'm2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885',
]);# POST /v1/connected_apps/clients/{client_id}/secrets/rotate/start
from stytch import B2BClient
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.connected_app.clients.secrets.rotate_start(
client_id="m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
)
print(resp)
# frozen_string_literal: true
# POST /v1/connected_apps/clients/{client_id}/secrets/rotate/start
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.connected_app.clients.secrets.rotate_start(
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885"
)
puts resp// POST /v1/connected_apps/clients/{client_id}/secrets/rotate/start
use stytch::b2b::client::Client;
use stytch::consumer::connected_apps_clients_secrets::RotateStartRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.connected_app.clients.secrets.rotate_start(
RotateStartRequest{
client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# POST /v1/connected_apps/clients/{client_id}/secrets/rotate/start
curl --request POST \
--url https://test.stytch.com/v1/connected_apps/clients/m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885/secrets/rotate/start \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json'{
"request_id": "<string>",
"connected_app": {
"client_id": "<string>",
"client_name": "<string>",
"client_description": "<string>",
"status": "<string>",
"client_secret_last_four": "<string>",
"full_access_allowed": true,
"client_type": "<string>",
"redirect_urls": [
"<string>"
],
"next_client_secret": "<string>",
"access_token_expiry_minutes": 123,
"access_token_template_content": "<string>",
"post_logout_redirect_urls": [
"<string>"
],
"bypass_consent_for_offline_access": true,
"id_token_template_content": "<string>",
"next_client_secret_last_four": "<string>",
"access_token_custom_audience": "<string>",
"logo_url": "<string>",
"client_id_metadata_url": "<string>"
},
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}After this endpoint is called, both the client’s
client_secret and next_client_secret will be valid. To complete the secret rotation flow, update all usages of client_secret to next_client_secret and call the Rotate Secret Endpoint to complete the flow. Secret rotation can be cancelled using the Cancel Secret Rotation endpoint.
This is the only time you will be able to view the generated
next_client_secret in the API response. Stytch stores a hash of the next_client_secret and cannot recover the value if lost. Be sure to persist the next_client_secret in a secure location. If the next_client_secret is lost, you will need to restart the secret rotation flow to receive another one.Authorizations
Body
application/json
Request type
Response
Successful response